/*
	File: B00.H

	global definition of constants and function prototypes
*/

extern int opt;
extern char * fichier;
extern int model;

int fic(char *);
int bulk(void);
int curreg(void);

int bloc_reg(unsigned char *,int);
int bloc_voi(unsigned char *,int);
int bloc_flu(unsigned char *,int);
int bloc_pat(unsigned char *,int);
int bloc_seq(unsigned char *,int);
int bloc_regc(unsigned char *,int);

int bloc_reg1(unsigned char *);
int regseq(unsigned char *);
int bloc_voi1(unsigned char *,int);
int flute(char *,unsigned char *);
int pattern(unsigned char *);
int mesur(unsigned char *);
int outpat(unsigned char *);
int sequence(int,unsigned char *);
int outseq(int,unsigned char *);
int pattern1(int,int,unsigned char *);
int mesur1(int,int,int,unsigned char *);
int outpat1(FILE *,int,unsigned char *,int,int);
int outpre(FILE *,int,int,int,int);

int yy(char *,unsigned char *,int);
int xx(char *,unsigned char *,int);

char * clavier(int);
char * instrument(int);
int volume(int);
char * feet(int);
char * effet(int);
char * tone(int);
char * uvib(int,int,int);
char * modele(int);
char * rythme(int);
int clavi ( int, unsigned char *, unsigned char *, int );

#define MODEL_EL40 0x3B
#define MODEL_EL60 0x3E
#define MODEL_EL70 0x35
#define MODEL_EL90 0x36

#define CLAV_LEAD	0
#define CLAV_UK1	1
#define CLAV_UK2	2
#define CLAV_LK1	3
#define CLAV_LK2	4
#define CLAV_PED1	5
#define CLAV_PED2	6
#define CLAV_UK	10
#define CLAV_LK	11
#define CLAV_PD	12

#define REG_UK1			0
#define REG_LK1			6
#define REG_UK2			12
#define REG_LK2			18
#define REG_LEAD			24
#define REG_PED1			31
#define REG_PED2			36
#define REG_RYTHME		41
#define REG_SUSTAIN		49
#define REG_FOOTSW		52
#define REG_REVERB		55
#define REG_TREM_FAST	56
#define REG_YY2			57
#define REG_UPFLUTE		81
#define REG_LWFLUTE		89
#define SECTIONS_UK1		97
#define SECTIONS_LK1		111
#define SECTIONS_UK2		125
#define SECTIONS_LK2		139
#define SECTIONS_LEAD	153
#define SECTIONS_PED1	158
#define SECTIONS_PED2	163
#define SECTIONS_RYTHME	168
#define REG_YY3			179

#define OPT_DEBUG 0x009f
#define OPT_VOICE	0x0001
#define OPT_REG16	0x0002
#define OPT_XX    0x0004
#define OPT_YY    0x0008
#define OPT_ALL	0x0010
#define OPT_REG8	0x0020
#define OPT_USER4	0x0040
#define OPT_SECT	0x0080
#define OPT_FLU   0x0100
#define OPT_OUT	0x1000
#define OPT_PAT	0x2000

