#include <stdlib.h>
#include <stdio.h>

#include <mevt.h>

FILE * ef_f;
BYTE ef_buffer[512];

BYTE * ef_buf ( )
{
	return ef_buffer;
}

int ef_exit ( code )
{
	getchar();
	exit(code);
	
	return 0;
}

int ef_read ( int nb )
{
	if ( fread ( ef_buffer, nb, 1, ef_f ) != 1 )
	{
		perror ( "fread" );
		ef_exit ( 1 );
	}

	return 0;
}

BYTE ef_read_B ( )
{
	BYTE c;
	
	if ( fread ( &c, 1, 1, ef_f ) != 1 )
	{
		if ( feof(ef_f) )
			return 0;
		perror ( "fread ef_read_B" );
		ef_exit ( 1 );
	}

	return c;
}

BYTE ef_read_F7 ( )
{
	int lg = 0;
	
	do
	{
		if ( fread ( &ef_buffer[lg], 1, 1, ef_f ) != 1 )
		{
			perror ( "fread ef_read_F7" );
			ef_exit ( 1 );
		}
		lg++;
	} while ( ( ef_buffer[lg-1] != 0xF7 ) && ( lg < 512 ) );

	return lg;
}

int ef_r_open ( char * nom )
{
	ef_f = fopen ( nom, "rb" );
	if ( ef_f == NULL )
	{
		perror ( nom );
		ef_exit ( 1 );
	}
	return 0;
}

int ef_set ( long pos )
{
	fseek ( ef_f, pos, SEEK_SET );
	return 0;
}

int ef_eof ( )
{
	return feof(ef_f);
}

int ef_close ( )
{
	fclose ( ef_f );
	return 0;
}


