#include <stdio.h>
#include <ctype.h>

int t1 = 0;			/* nombre de top horloge MDR (1000 top par seconde) */
int t = 0;			/* nombre de tick horloge midi (24 par temps) */
int ttemps = 1;	/* position courante temps dans la mesure */
int tmesure = 1;	/* position courante mesure dans le morceau */
int tempo = 100;
int cptmp = 0;
int mesure = 4;
int flagresync = 0;
FILE *fout;
FILE *fin = stdin;
char fichier[60] = "stdin";

#include "motcle.h"

int main ( argc, argv )
int argc;
char * argv[];
{
	char ligne [ 120 ];
	int mesu, tmps, tp24, mils;
	char cana[10], token[20];
	int pos;
	int nb;
	int canal;
	int i;
	int n1, n2, n3, n4;
	char * p;

	if ( argc != 2 )
	{
		fprintf ( stderr, "syntaxe: %s [ fichier.gen | - ]\n", argv[0] );
		exit ( 2 );
	}

	if ( argv[1][0] != '-' )
	{
		strcpy ( fichier, argv[1] );
		fin = fopen ( fichier, "r" );
		if ( fin == NULL )
		{
			perror ( fichier );
			exit ( 1 );
		}
	}


	for ( p = fichier; ( *p != '\0' ) && ( *p != '.' ); p++ )
		;
	*p = 0;
	strcat ( fichier, ".evt" );
	printf ( "Generation du fichier %s...\n", fichier );

	fout = fopen ( fichier, "wb" );
	if ( fout == NULL )
	{
		perror ( fichier );
		exit ( 1 );
	}

	entete();

	while ( fgets ( ligne, sizeof ( ligne ), fin ) != NULL )
	{
		if ( ! isdigit ( ligne[0] ) )
			continue;

		pos = strlen ( ligne ) -1;
		while ( ligne[pos] <= ' ' )
			pos --;
		ligne[pos+1] = 0;

		nb = sscanf ( ligne, "%d.%d.%d.%d %s %s %n",
			&mesu, &tmps, &tp24, &mils,
			cana, token, &pos );
		if ( nb != 6 )
		{
			fprintf ( stderr, "ERREUR DE SYNTAXE(%d):\n%s", nb, ligne );
			fprintf ( stderr, "->%03d.%d.%02d.%03d %s %s\n",
				mesu, tmps, tp24, mils, cana, token );
			fflush ( stderr );
		}
		else
		{
			if ( cana[0] == 'C' )
				canal = atoi ( cana + 1 ) - 1;
			else
				canal = 0;
		}
		delai ( mesu, tmps, tp24, mils );

		for ( i = sizeof ( mot ) / sizeof ( mot[0] ) - 1; i >= 0; i-- )
		{
			if ( stricmp ( token, mot[i] ) == 0 )
				break;
		}

		sscanf ( ligne+pos, "%i %i %i %i", &n1, &n2, &n3, &n4 );

		switch ( i )
		{
			case 0:	/* ??1 */
				fputc ( n1, fout );
				break;

			case 1:	/* START */
				fputc ( '\xfe', fout);
				fputc ( '\x7a', fout );
				break;

			case 2:	/* STOP */
				fputc ( '\xfe', fout );
				fputc ( '\x7c', fout );
				break;

			case 3:	/* DEBUT */
				fputc ( '\xf1', fout  );
				fputc ( n1, fout  );
				break;

			case 4:	/* FIN */
				fputc ( '\xf2', fout  );
				break;

			case 5:	/* EXP.PED */
				fputc ( '\xb0' + canal, fout  );
				fputc ( '\x0b', fout  );
				fputc ( n1, fout  );
				break;

			case 6:	/* SUSTAIN */
				fputc ( '\xb0' + canal, fout  );
				fputc ( '\x40', fout  );
				fputc ( n1, fout  );
				break;

			case 7:	/* ALL_OFF */
				fputc ( '\xb0' + canal, fout  );
				fputc ( '\x7b', fout  );
				fputc ( '\x00', fout  );
				break;

			case 8:	/* REGISTR */
				fputc ( '\xC0' + canal, fout  );
				fputc ( n1 - 1, fout  );
				break;

			case 9:	/* NOTE_0FF */
				fputc ( '\x80' + canal, fout  );
				fputc ( n1, fout  );
				fputc ( n2, fout  );
				break;

			case 10:	/* NOTE_ON */
				fputc ( '\x90' + canal, fout  );
				fputc ( n1, fout  );
				fputc ( n2, fout  );
				break;

			case 11:	/* AFTER_TOUCH */
				fputc ( '\xD0' + canal, fout  );
				fputc ( n1, fout  );
				break;

			case 12:	/* NOP */
				fputc ( '\xf6', fout  );
				break;

			case 13:	/* EXP.PED2 */
				fputc ( '\xb0' + canal, fout  );
				fputc ( '\x04', fout  );
				fputc ( n1, fout  );
				break;

			case 14:	/* NOTE_OFF */
				fputc ( '\x90' + canal, fout  );
				fputc ( n1, fout  );
				fputc ( n2, fout  );
				break;

			case 15:	/* EXCLUSIF */
				f0 ( ligne + pos );
				break;

			case 16:	/* RESYNCHRO */
				flagresync = 1;
				break;

			case 17:	/* TEMPO */
				if ( ( n1 >= 40 ) && ( n1 < 300 ) )
					tempo = n1;
				else
					fprintf ( stderr, "Valeur de tempo incorrecte:%d\n", n1 );
				break;

			case 18:	/* MESURE */
				if ( ( n1 >= 2 ) && ( n1 <= 9 ) )
					mesure = n1;
				else
					fprintf ( stderr, "Valeur de mesure incorrecte:%d\n", n1 );
				break;

			case 20:	/* ??2 */
				fputc ( n1, fout  );
				fputc ( n2, fout  );
				break;

			case 21:	/* ??3 */
				fputc ( n1, fout  );
				fputc ( n2, fout  );
				fputc ( n3, fout  );
				break;

			case 22:	/* ??4 */
				fputc ( n1, fout  );
				fputc ( n2, fout  );
				fputc ( n3, fout  );
				fputc ( n4, fout  );
				break;

			default:
				fprintf ( stderr, "Mot cle inconnu: '%s'\n", token );
				break;
		}
	}

	fclose ( fout );
	return 0;
}

char buf_entete [ 256 ] =
{
	0xfe, 0, 0, 0xFF, 0xFF, 00, 00,
	'C','O','M','-','E','S','E','Q',' ',' ',' ',' ',' ',' ',' ',' ',
	0x80, 0, 0x20, 0, 0xd9, 0, 0, 0, 0xFF, 0xFF, 0, 0, 0x01, 0x7F
};

entete()
{
	fwrite ( buf_entete, 256, 1, fout );
	return 0;
}

int dec[] = { 0, 9, 1, 8, 2, 7, 3, 6, 4, 5 };

delai ( mes, tp, t24, mil )
int mes, tp, t24, mil;
{
	int delta;

	if ( flagresync == 0 )
	{
		while ( ( mes > tmesure ) || ( tp > ttemps ) || ( t24 > t ) )
		{
			if ( t1 != 0 )
			{
				delta = ( 25000 / tempo + dec[cptmp++] ) / 10 - t1;
				if ( cptmp > 9 )
					cptmp = 0;
				if ( delta > 0 )
				{
					fputc ( '\xf3', fout  );
					fputc ( delta, fout  );
				}
				fputc ( '\xfe', fout  );
				fputc ( '\x78', fout  );
				t1 = 0;
				t++;
			}
			else
			{
				delta = ( 25000 / tempo + dec[cptmp++] ) / 10;
				if ( cptmp > 9 )
					cptmp = 0;
				fputc ( '\xf3', fout  );
				fputc ( delta, fout  );
				fputc ( '\xfe', fout  );
				fputc ( '\x78', fout  );
				t++;
			}

			while ( t >= 24 )
			{
				ttemps ++;
				t -= 24;
			}

			while ( ttemps > mesure )
			{
				tmesure ++;
				ttemps -= mesure;
			}

		}
		delta = mil - t1;
		if ( delta > 0 )
		{
			fputc ( '\xf3', fout  );
			fputc ( delta, fout  );
			t1 += delta;
		}
	}
	else
	{
		flagresync = 0;
		t1 = mil;
		t = t24;
		ttemps = tp;
		tmesure = mes;
	}
	return 0;
}

f0 ( ex )
char * ex;
{
	int i;
	int tpo, co, da;

	for ( i = 0; i < sizeof(tab_f0)/sizeof(tab_f0[0]); i++ )
	{
		if ( strnicmp ( ex, tab_f0[i].lib, strlen ( tab_f0[i].lib ) ) == 0 )
		{
			switch ( tab_f0[i].fct )
			{
				case 0:	/* pas de parametres */
					fwrite ( tab_f0[i].mes, tab_f0[i].nbc, 1, fout );
					break;

				case 1:	/* dump */
					fprintf ( stderr, "Message EXCLUSIF non traite: '%s'\n", ex );
					break;

				case 2:	/* tempo */
					fwrite ( tab_f0[i].mes, tab_f0[i].nbc, 1, fout );
					sscanf ( ex + strlen( tab_f0[i].lib ), "%d", &tpo );
					fputc ( tpo / 256, fout  );
					fputc ( tpo % 256, fout  );
					fputc ( '\xf7', fout  );
					break;

				case 3:	/* switch */
					fwrite ( tab_f0[i].mes, tab_f0[i].nbc, 1, fout );
					sscanf ( ex + strlen( tab_f0[i].lib ), "code=%i data=%i",
						&co, &da );
					fputc ( co, fout  );
					fputc ( da, fout  );
					fputc ( '\xf7', fout  );
					break;

				case 4:	/* bar signal */
					fwrite ( tab_f0[i].mes, tab_f0[i].nbc, 1, fout );
					sscanf ( ex + strlen( tab_f0[i].lib ), "%i/%i",
						&co, &da );
					fputc ( co, fout  );
					fputc ( da, fout  );
					fputc ( '\xf7', fout  );
					break;

			}
			return 0;
		}
	}

	fprintf ( stderr, "Message EXCLUSIF inconnu: '%s'\n", ex );
	return 0;
}

