/*
	File: FLU.C

	Dumping of flute settings
*/

#include <stdio.h>

#include "b00.h"

int flute ( nom, flu )
char * nom;
unsigned char * flu;
{
	int hauteur[14];
	int i,j;

	/* flutes */
	hauteur[ 0] = ( flu[0] >> 0 ) & 0x07;
	hauteur[ 1] = ( flu[0] >> 3 ) & 0x07;
	hauteur[ 2] = ( flu[1] >> 0 ) & 0x07;
	hauteur[ 3] = ( flu[1] >> 3 ) & 0x07;
	hauteur[ 4] = ( flu[2] >> 0 ) & 0x07;
	hauteur[ 5] = ( flu[2] >> 3 ) & 0x07;
	hauteur[ 6] = ( flu[3] >> 0 ) & 0x07;
	hauteur[ 7] = ( flu[3] >> 3 ) & 0x07;
	/* Rsp */
	hauteur[ 8] = ( flu[6] >> 3 ) & 0x07;
	/* Attack */
	hauteur[ 9] = ( flu[4] >> 0 ) & 0x07;
	hauteur[10] = ( flu[4] >> 3 ) & 0x07;
	hauteur[11] = ( flu[5] >> 0 ) & 0x07;
	/* Lng */
	hauteur[12] = ( flu[6] >> 0 ) & 0x07;
	/* Click */
	hauteur[13] = ( flu[5] >> 3 ) & 0x07;

	xx ( nom, flu, 8 );

	printf ( "%s: %svol=%d tremolo=%s\n",
		nom,
		flu[0] & 0x40 ? "" : "OFF ",
		volume ( flu[7] & 0x7f ),
		flu[7] & 0x80 ? "ON" : "OFF" );

	for ( i = 6; i > 0; i-- )
	{
		printf ( "%d", i );
		for ( j = 0; j < 14; j++ )
		{
			if ( hauteur[j] >= i )
				printf ( " XXX " );
			else
				printf ( " --- " );
			if ( ( j == 8 ) || ( j == 12 ) )
				printf ( " %d", i );
		}
		printf ( "\n" );
	}

	printf (
/*
 1 XXX  XXX  XXX  XXX  XXX  XXX  XXX  XXX  XXX  1 XXX  XXX  XXX  XXX  1 XXX
 0 XXX  XXX  XXX  XXX  XXX  XXX  XXX  XXX  XXX  0 XXX  XXX  XXX  XXX  0 XXX */
"  16'   8'   4' 5'1/3  2' 2'2/3  1' 1'3/5 Rsp     4' 2'2/3  2'  Lng  Click\n"
	);

	return 0;
}

