#include <stdio.h>
#include <stdlib.h>

#include <mevt.h>

int monopoly_on[16];
int monopoly_off[16];

int monopoly_reset ( )
{
	int i;
	
	for ( i = 0; i < 16; i++ )
	{
		monopoly_on[i] = 0;
		monopoly_off[i] = 0;
	}
	
	return 0;
}

int monopoly_note ( int canal, int velo )
{
	if ( canal >= 0 && canal < 16 )
	{
		if ( velo != 0 )
			monopoly_on[canal]++;
		else
			monopoly_off[canal]++;
	}
	
	return 0;
}

int monopoly ( int canal )
{
	if ( canal >= 0 && canal < 16 )
	{
		if ( monopoly_on[canal] + monopoly_off[canal] >= 20 )
		{
			if ( monopoly_on[canal] >
				monopoly_off[canal] + monopoly_off[canal]/50 )
				return MONO;
			else
				return POLY;
		}
		else
		{
			if ( monopoly_on[canal] == 0 && monopoly_off[canal] == 0 )
				return VIDE;
			else
				return POLY;
		}
	}
	
	return POLY;
}

